## Class Auth_OpenID_Mapping

Description

An Auth_OpenID_Mapping maintains a mapping from arbitrary keys to arbitrary values. (This is unlike an ordinary PHP array, whose keys may be only simple scalars.)

Located in /Auth/OpenID/Message.php (line 125)

Method Summary
Auth_OpenID_Mapping Auth_OpenID_Mapping ([ $classic_array = null])
void contains ( $value)
void del ( $key)
void get ( $key, [ $default = null])
void isA ( $thing)
void items ()
void keys ()
void len ()
void set ( $key, $value)
void values ()
Methods
Constructor Auth_OpenID_Mapping (line 130)

Initialize a mapping. If $classic_array is specified, its keys and values are used to populate the mapping.

Auth_OpenID_Mapping Auth_OpenID_Mapping ([ $classic_array = null])

- $classic_array

contains (line 265)

Returns true if the specified value has a key in the mapping; false if not.

void contains ( $value)

- $value

del (line 248)

Deletes a key-value pair from the mapping with the specified key.

void del ( $key)

- $key

get (line 211)

Gets a specified value from the mapping, associated with the specified key. If the key does not exist in the mapping, $default is returned instead.

void get ( $key, [ $default = null])

- $key
- $default

isA (line 146)

Returns true if $thing is an Auth_OpenID_Mapping object; false if not.

void isA ( $thing)

- $thing

items (line 171)

Returns an array of (key, value) pairs in the mapping.

void items ()
keys (line 155)

Returns an array of the keys in the mapping.

void keys ()
len (line 185)

Returns the "length" of the mapping, or the number of keys.

void len ()
set (line 194)

Sets a key-value pair in the mapping. If the key already exists, its value is replaced with the new value.

void set ( $key, $value)

- $key
- $value

values (line 163)

Returns an array of values in the mapping.

void values ()

Documentation generated on Tue, 21 Apr 2009 11:31:31 -0700 by phpDocumentor 1.3.2